com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.StdKeySerializers

-     public class StdKeySerializers
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdKeySerializers.CalendarKeySerializer` Deprecated.
    `static class` | `StdKeySerializers.DateKeySerializer` Deprecated.
    `static class` | `StdKeySerializers.Default`
    `static class` | `StdKeySerializers.StringKeySerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static JsonSerializer<Object>` | `DEFAULT_KEY_SERIALIZER`
    `protected static JsonSerializer<Object>` | `DEFAULT_STRING_SERIALIZER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonSerializer<Object>` | `getDefault()`
    `static JsonSerializer<Object>` | `getStdKeySerializer(JavaType keyType)` Deprecated. Since 2.5
    `static JsonSerializer<Object>` | `getStdKeySerializer(SerializationConfig config, Class<?> rawKeyType, boolean useDefault)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_KEY_SERIALIZER

          protected static final JsonSerializer<Object> DEFAULT_KEY_SERIALIZER

    - #### DEFAULT_STRING_SERIALIZER

          protected static final JsonSerializer<Object> DEFAULT_STRING_SERIALIZER

  - ### Method Detail

    - #### getStdKeySerializer

          public static JsonSerializer<Object> getStdKeySerializer(SerializationConfig config,
                                                                   Class<?> rawKeyType,
                                                                   boolean useDefault)

      Parameters:
        `config` - Serialization configuration in use, may be needed in choosing serializer to use
        `rawKeyType` - Type of key values to serialize
        `useDefault` - If no match is found, should we return fallback deserializer (true), or null (false)?

    - #### getStdKeySerializer

          @Deprecated
          public static JsonSerializer<Object> getStdKeySerializer(JavaType keyType)

      Deprecated. Since 2.5

    - #### getDefault

          public static JsonSerializer<Object> getDefault()

Copyright © 2014–2015 FasterXML. All rights reserved.